GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| departmentId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "f597ace8-ed14-4b05-b89b-8545c6a468bc",
"selected_nameplate_id": "39a49a7e-57e8-408d-9204-16fe7e161716",
"active": true,
"department_id": "f0d48d6d-f7db-4843-92f8-a651fdb64e1b",
"id": "fbe77a69-ccb2-4107-97c5-2511599e2302",
"physical_item_id": "6f48ae20-04f7-47ac-bf9d-1040d3f805be",
"service_item_id": "749e607d-9912-4f25-ad7a-ade603f32a90",
"item_wash_max": 1,
"quantity": 1
},
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "f597ace8-ed14-4b05-b89b-8545c6a468bc",
"selected_nameplate_id": "39a49a7e-57e8-408d-9204-16fe7e161716",
"active": true,
"department_id": "f0d48d6d-f7db-4843-92f8-a651fdb64e1b",
"id": "fbe77a69-ccb2-4107-97c5-2511599e2302",
"physical_item_id": "6f48ae20-04f7-47ac-bf9d-1040d3f805be",
"service_item_id": "749e607d-9912-4f25-ad7a-ade603f32a90",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department_item>
<active>true</active>
<department_id>f0d48d6d-f7db-4843-92f8-a651fdb64e1b</department_id>
<id>fbe77a69-ccb2-4107-97c5-2511599e2302</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>6f48ae20-04f7-47ac-bf9d-1040d3f805be</physical_item_id>
<quantity>1</quantity>
<service_item_id>749e607d-9912-4f25-ad7a-ade603f32a90</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>39a49a7e-57e8-408d-9204-16fe7e161716</selected_nameplate_id>
<selected_sticker_id>f597ace8-ed14-4b05-b89b-8545c6a468bc</selected_sticker_id>
</department_item>
<department_item>
<active>true</active>
<department_id>f0d48d6d-f7db-4843-92f8-a651fdb64e1b</department_id>
<id>fbe77a69-ccb2-4107-97c5-2511599e2302</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>6f48ae20-04f7-47ac-bf9d-1040d3f805be</physical_item_id>
<quantity>1</quantity>
<service_item_id>749e607d-9912-4f25-ad7a-ade603f32a90</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>39a49a7e-57e8-408d-9204-16fe7e161716</selected_nameplate_id>
<selected_sticker_id>f597ace8-ed14-4b05-b89b-8545c6a468bc</selected_sticker_id>
</department_item>
</ArrayOfdepartment_item>